var CORES = {};

CORES.branco = "0Xffffff";

CORES.preto = "0X000000";

CORES.azul = "0X005691";

CORES.verdealface = "0X78be20";

CORES.verde = "0X006249";

CORES.verdemar = "0X00a8b0";



var fontTxt1 = "GothamBold";

var fontTxt2 = "GothamBook";



function preloadgraf(scene) {



    var width = config.scale.width;

    var height = config.scale.height;

    var loadingText = scene.make.text({

        x: width / 2,

        y: height / 2 - 50,

        text: "Loading...",

        style: {

            font: "20px monospace",

            fill: CORES.preto,

        },

    });

    loadingText.setOrigin(0.5, 0.5);



    var percentText = scene.make.text({

        x: width / 2,

        y: height / 2 - 5,

        text: "0%",

        style: {

            font: "18px monospace",

            fill: CORES.preto,

        },

    });

    percentText.setOrigin(0.5, 0.5);



    var assetText = scene.make.text({

        x: width / 2,

        y: height / 2 + 50,

        text: "",

        style: {

            font: "18px monospace",

            fill: CORES.preto,

        },

    });

    assetText.setOrigin(0.5, 0.5);



    scene.load.on("progress", function (value) {

        percentText.setText(parseInt(value * 100) + "%");

    });



    scene.load.on("fileprogress", function (file) {

        assetText.setText("Loading asset: " + file.key);

    });

    scene.load.on("complete", function () {

        loadingText.destroy();

        percentText.destroy();

        assetText.destroy();

    });

}



function delay(time) {

    return new Promise((resolve) => setTimeout(resolve, time));

}

